Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6504 - System Hang--Found Workaround
Summary: System Hang--Found Workaround
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-29 15:44 UTC by hemphill
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-08-08 14:19:49 UTC


Attachments (Terms of Use)

Description hemphill 1999-10-29 15:44:35 UTC
I have noticed a weird instability in my system when I use
the RH6.1 tulip driver:

Symptom:  Disk accesses hang up, with the "Disk Busy" light
          continously on (but no disk seek noise).  System
          response to already running processes (e.g. X) is
          sluggish, suggestive of a lot of interrupt
          activity.  Eventually, I'm forced to hit the
          reset button.

Configuration:
          ASUS P2L97 motherboard, 2x300MHz PII,
          BusLogic BT-958 SCSI Controller, SMC EtherPower
          NIC.  Also note BT-958 on interrupt 12, while
          NIC is on interrupt 11.

Observations:
          When I booted with the 2.2.12-20smp kernel, the
          system would freeze up within an hour or so of
          light activity.  The system would stay up for days
          with the the 2.2.12-20 kernel, but it could be
          made to fall over at will with intensive disk
          activity, n particular running mkisofs.  Falling
          back to 2.2.5-22 didn't help.  The system didn't
          fall over when running fsck in single user mode,
          however.

Work Around:
          I switched NIC drivers from tulip to de4x5.  Now
          I'm back to using the 2.2.12-20smp kernel, with
no           difficulites observed.

Comment 1 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 2 Alan Cox 2000-08-08 14:07:54 UTC
is this ok in 6.2

Comment 3 hemphill 2000-08-08 14:19:48 UTC
I cannot say whether this is still visible in RH6.2.  The affected system is
indeed running RH6.2, kernel 2.2.16, but no longer has any SCSI harddrives in
it.  I consider the matter closed, and it's fine with me if you do, too.

Comment 4 Alan Cox 2000-08-22 17:29:14 UTC
Ok I will close this. If anyone else is seeing something with the same hardware
and has a problem please reopen this

Now if bugzilla only had  a resolved->weird

button



Note You need to log in before you can comment on or make changes to this bug.